Subject: bug#22552: closed (Re: bug#22552: 25.1; 25.0.90 build fails on Mac OS X 10.11)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Feb 2016 09:17:01 +0000

Your bug report

#22552: 25.1; 25.0.90 build fails on Mac OS X 10.11

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22552: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22552
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22552: 25.1; 25.0.90 build fails on Mac OS X 10.11
From: YAMAMOTO Mitsuharu <[email-masked]>
To: Henry Unger <[email-masked]>
Cc: [email-masked]
Date: Fri, 05 Feb 2016 18:15:57 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> On Thu, 4 Feb 2016 22:49:32 -0800, Henry Unger <[email-masked]> said:

>> > $ pkg-config --cflags 'libxml-2.0 > 2.6.17'
>> > -I/usr/include/libxml2
>> 
>> > /usr/include does not exist per se.
>> 
>> This means libxml-2.0.pc in your installation of libxml2 is bogus.
>> IIUC, Apple does not provide us with libxml-2.0.pc in their SDK, so probably
>> you should have installed libxml2 on your own.
>> 
>> YAMAMOTO Mitsuharu
>> [email-masked]

> It appears that the libxml-2.0.pc file was installed when I used brew to install some package a few weeks ago. I renamed libxml-2.0.pc to something else and re-ran the configure and make and it built without error. I'm sorry for the false alarm and thanks for your assistance

Homebrew seems to require the installation of Command Line Tools for
Xcode.

  https://github.com/Homebrew/homebrew/blob/master/share/doc/homebrew/Installation.md

If you follow the above instructions, then /usr/include will be
created and the build of Emacs will succeed.

				     YAMAMOTO Mitsuharu
				[email-masked]

Subject: 25.1; 25.0.90 build fails on Mac OS X 10.11
From: Henry Unger <[email-masked]>
To: [email-masked]
Date: Thu, 4 Feb 2016 09:31:07 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Apple Mac running OS X 10.11:

Downloaded ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-25.0.90.tar.xz
Unpacked it.
Ran ./configure
Ran make
Compile stopped with:

  CC       xml.o
xml.c:23:10: fatal error: 'libxml/tree.h' file not found
#include <libxml/tree.h>
         ^
1 error generated.
make[1]: *** [xml.o] Error 1
make: *** [src] Error 2

On my system, that file is found in:

/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk/usr/include/libxml2/libxml

This may be related to:

2015-12-31 YAMAMOTO Mitsuharu <[email-masked]>

* configure.ac: Find libxml2 headers in Xcode SDK dir on Darwin.

I ran:

$ xcrun --show-sdk-path
/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk

config.status has:

S["LIBXML2_LIBS"]="-lxml2 "
S["LIBXML2_CFLAGS"]="-I/usr/include/libxml2 "

Henry Unger